package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.GoodsType;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class GoodsQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "商品分类",required = false)
    private Integer goodsCategoryId;

    //是否是新品（1，是  0，否）
    @ApiModelProperty(value = "是否是新品（1，是  0，否）",required = false)
    private YesOrNoEnum isNew;

    //是否置顶（1，置顶   0，不置顶）
    @ApiModelProperty(value = "是否置顶（1，置顶   0，不置顶）",required = false)
    private YesOrNoEnum isTop;

    //状态（1，上架  0，下架）
    @ApiModelProperty(value = "状态（1，上架  0，下架）",required = false)
    private YesOrNoEnum status;

    @ApiModelProperty(value = "商品类型", required = false)
    private GoodsType type;

    @ApiModelProperty(value = "是否组合商品：0/1")
    private Integer groupGoods;

    @ApiModelProperty(value = "客户端是否展示：0否，1是")
    private Integer clientShow;

    @ApiModelProperty(value = "教务端是否展示：0否，1是")
    private Integer educationalShow;

    @ApiModelProperty(value = "乐团端是否展示：0否，1是")
    private Integer musicGroupShow;

    public Integer getGroupGoods() {
        return groupGoods;
    }

    public void setGroupGoods(Integer groupGoods) {
        this.groupGoods = groupGoods;
    }

    public GoodsType getType() {
        return type;
    }

    public void setType(GoodsType type) {
        this.type = type;
    }

    public Integer getGoodsCategoryId() {
        return goodsCategoryId;
    }

    public void setGoodsCategoryId(Integer goodsCategoryId) {
        this.goodsCategoryId = goodsCategoryId;
    }

    public YesOrNoEnum getIsNew() {
        return isNew;
    }

    public void setIsNew(YesOrNoEnum isNew) {
        this.isNew = isNew;
    }

    public YesOrNoEnum getIsTop() {
        return isTop;
    }

    public void setIsTop(YesOrNoEnum isTop) {
        this.isTop = isTop;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public Integer getClientShow() {
        return clientShow;
    }

    public void setClientShow(Integer clientShow) {
        this.clientShow = clientShow;
    }

	public Integer getEducationalShow() {
		return educationalShow;
	}

	public void setEducationalShow(Integer educationalShow) {
		this.educationalShow = educationalShow;
	}

	public Integer getMusicGroupShow() {
		return musicGroupShow;
	}

	public void setMusicGroupShow(Integer musicGroupShow) {
		this.musicGroupShow = musicGroupShow;
	}
}
